ExpressionParserTreeConstants (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.exp.parser, interface: ExpressionParserTreeConstants

# Interface ExpressionParserTreeConstants

All Known Implementing Classes:
  `ExpressionParser`

public interface ExpressionParserTreeConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `JJTABS`
  `static final int`
  `JJTADD`
  `static final int`
  `JJTAND`
  `static final int`
  `JJTASTERISK`
  `static final int`
  `JJTAVG`
  `static final int`
  `JJTBETWEEN`
  `static final int`
  `JJTBITWISEAND`
  `static final int`
  `JJTBITWISELEFTSHIFT`
  `static final int`
  `JJTBITWISENOT`
  `static final int`
  `JJTBITWISEOR`
  `static final int`
  `JJTBITWISERIGHTSHIFT`
  `static final int`
  `JJTBITWISEXOR`
  `static final int`
  `JJTCONCAT`
  `static final int`
  `JJTCOUNT`
  `static final int`
  `JJTCURRENTDATE`
  `static final int`
  `JJTCURRENTTIME`
  `static final int`
  `JJTCURRENTTIMESTAMP`
  `static final int`
  `JJTCUSTOMAGGREGATE`
  `static final int`
  `JJTCUSTOMFUNCTION`
  `static final int`
  `JJTCUSTOMOPERATOR`
  `static final int`
  `JJTDBIDPATH`
  `static final int`
  `JJTDBPATH`
  `static final int`
  `JJTDISTINCT`
  `static final int`
  `JJTDIVIDE`
  `static final int`
  `JJTENUM`
  `static final int`
  `JJTEQUAL`
  `static final int`
  `JJTEXISTS`
  `static final int`
  `JJTEXTRACT`
  `static final int`
  `JJTFALSE`
  `static final int`
  `JJTGREATER`
  `static final int`
  `JJTGREATEROREQUAL`
  `static final int`
  `JJTIN`
  `static final int`
  `JJTLENGTH`
  `static final int`
  `JJTLESS`
  `static final int`
  `JJTLESSOREQUAL`
  `static final int`
  `JJTLIKE`
  `static final int`
  `JJTLIKEIGNORECASE`
  `static final int`
  `JJTLIST`
  `static final int`
  `JJTLOCATE`
  `static final int`
  `JJTLOWER`
  `static final int`
  `JJTMAX`
  `static final int`
  `JJTMIN`
  `static final int`
  `JJTMOD`
  `static final int`
  `JJTMULTIPLY`
  `static final int`
  `JJTNAMEDPARAMETER`
  `static final int`
  `JJTNEGATE`
  `static final String[]`
  `jjtNodeName`
  `static final int`
  `JJTNOT`
  `static final int`
  `JJTNOTBETWEEN`
  `static final int`
  `JJTNOTEQUAL`
  `static final int`
  `JJTNOTEXISTS`
  `static final int`
  `JJTNOTIN`
  `static final int`
  `JJTNOTLIKE`
  `static final int`
  `JJTNOTLIKEIGNORECASE`
  `static final int`
  `JJTOBJPATH`
  `static final int`
  `JJTOR`
  `static final int`
  `JJTSCALAR`
  `static final int`
  `JJTSQRT`
  `static final int`
  `JJTSUBSTRING`
  `static final int`
  `JJTSUBTRACT`
  `static final int`
  `JJTSUM`
  `static final int`
  `JJTTRIM`
  `static final int`
  `JJTTRUE`
  `static final int`
  `JJTUPPER`
  `static final int`
  `JJTVOID`

- ## Field Details

  - ### JJTVOID

    static final int JJTVOID
    See Also:
      - Constant Field Values

  - ### JJTOR

    static final int JJTOR
    See Also:
      - Constant Field Values

  - ### JJTAND

    static final int JJTAND
    See Also:
      - Constant Field Values

  - ### JJTNOTEXISTS

    static final int JJTNOTEXISTS
    See Also:
      - Constant Field Values

  - ### JJTEXISTS

    static final int JJTEXISTS
    See Also:
      - Constant Field Values

  - ### JJTNOT

    static final int JJTNOT
    See Also:
      - Constant Field Values

  - ### JJTTRUE

    static final int JJTTRUE
    See Also:
      - Constant Field Values

  - ### JJTFALSE

    static final int JJTFALSE
    See Also:
      - Constant Field Values

  - ### JJTEQUAL

    static final int JJTEQUAL
    See Also:
      - Constant Field Values

  - ### JJTNOTEQUAL

    static final int JJTNOTEQUAL
    See Also:
      - Constant Field Values

  - ### JJTLESSOREQUAL

    static final int JJTLESSOREQUAL
    See Also:
      - Constant Field Values

  - ### JJTLESS

    static final int JJTLESS
    See Also:
      - Constant Field Values

  - ### JJTGREATER

    static final int JJTGREATER
    See Also:
      - Constant Field Values

  - ### JJTGREATEROREQUAL

    static final int JJTGREATEROREQUAL
    See Also:
      - Constant Field Values

  - ### JJTLIKE

    static final int JJTLIKE
    See Also:
      - Constant Field Values

  - ### JJTLIKEIGNORECASE

    static final int JJTLIKEIGNORECASE
    See Also:
      - Constant Field Values

  - ### JJTIN

    static final int JJTIN
    See Also:
      - Constant Field Values

  - ### JJTBETWEEN

    static final int JJTBETWEEN
    See Also:
      - Constant Field Values

  - ### JJTNOTLIKE

    static final int JJTNOTLIKE
    See Also:
      - Constant Field Values

  - ### JJTNOTLIKEIGNORECASE

    static final int JJTNOTLIKEIGNORECASE
    See Also:
      - Constant Field Values

  - ### JJTNOTIN

    static final int JJTNOTIN
    See Also:
      - Constant Field Values

  - ### JJTNOTBETWEEN

    static final int JJTNOTBETWEEN
    See Also:
      - Constant Field Values

  - ### JJTLIST

    static final int JJTLIST
    See Also:
      - Constant Field Values

  - ### JJTSCALAR

    static final int JJTSCALAR
    See Also:
      - Constant Field Values

  - ### JJTBITWISEOR

    static final int JJTBITWISEOR
    See Also:
      - Constant Field Values

  - ### JJTBITWISEXOR

    static final int JJTBITWISEXOR
    See Also:
      - Constant Field Values

  - ### JJTBITWISEAND

    static final int JJTBITWISEAND
    See Also:
      - Constant Field Values

  - ### JJTBITWISELEFTSHIFT

    static final int JJTBITWISELEFTSHIFT
    See Also:
      - Constant Field Values

  - ### JJTBITWISERIGHTSHIFT

    static final int JJTBITWISERIGHTSHIFT
    See Also:
      - Constant Field Values

  - ### JJTADD

    static final int JJTADD
    See Also:
      - Constant Field Values

  - ### JJTSUBTRACT

    static final int JJTSUBTRACT
    See Also:
      - Constant Field Values

  - ### JJTMULTIPLY

    static final int JJTMULTIPLY
    See Also:
      - Constant Field Values

  - ### JJTDIVIDE

    static final int JJTDIVIDE
    See Also:
      - Constant Field Values

  - ### JJTBITWISENOT

    static final int JJTBITWISENOT
    See Also:
      - Constant Field Values

  - ### JJTNEGATE

    static final int JJTNEGATE
    See Also:
      - Constant Field Values

  - ### JJTCUSTOMFUNCTION

    static final int JJTCUSTOMFUNCTION
    See Also:
      - Constant Field Values

  - ### JJTCUSTOMOPERATOR

    static final int JJTCUSTOMOPERATOR
    See Also:
      - Constant Field Values

  - ### JJTCUSTOMAGGREGATE

    static final int JJTCUSTOMAGGREGATE
    See Also:
      - Constant Field Values

  - ### JJTCONCAT

    static final int JJTCONCAT
    See Also:
      - Constant Field Values

  - ### JJTSUBSTRING

    static final int JJTSUBSTRING
    See Also:
      - Constant Field Values

  - ### JJTTRIM

    static final int JJTTRIM
    See Also:
      - Constant Field Values

  - ### JJTLOWER

    static final int JJTLOWER
    See Also:
      - Constant Field Values

  - ### JJTUPPER

    static final int JJTUPPER
    See Also:
      - Constant Field Values

  - ### JJTLENGTH

    static final int JJTLENGTH
    See Also:
      - Constant Field Values

  - ### JJTLOCATE

    static final int JJTLOCATE
    See Also:
      - Constant Field Values

  - ### JJTABS

    static final int JJTABS
    See Also:
      - Constant Field Values

  - ### JJTSQRT

    static final int JJTSQRT
    See Also:
      - Constant Field Values

  - ### JJTMOD

    static final int JJTMOD
    See Also:
      - Constant Field Values

  - ### JJTASTERISK

    static final int JJTASTERISK
    See Also:
      - Constant Field Values

  - ### JJTCOUNT

    static final int JJTCOUNT
    See Also:
      - Constant Field Values

  - ### JJTAVG

    static final int JJTAVG
    See Also:
      - Constant Field Values

  - ### JJTMAX

    static final int JJTMAX
    See Also:
      - Constant Field Values

  - ### JJTMIN

    static final int JJTMIN
    See Also:
      - Constant Field Values

  - ### JJTSUM

    static final int JJTSUM
    See Also:
      - Constant Field Values

  - ### JJTCURRENTDATE

    static final int JJTCURRENTDATE
    See Also:
      - Constant Field Values

  - ### JJTCURRENTTIME

    static final int JJTCURRENTTIME
    See Also:
      - Constant Field Values

  - ### JJTCURRENTTIMESTAMP

    static final int JJTCURRENTTIMESTAMP
    See Also:
      - Constant Field Values

  - ### JJTEXTRACT

    static final int JJTEXTRACT
    See Also:
      - Constant Field Values

  - ### JJTDISTINCT

    static final int JJTDISTINCT
    See Also:
      - Constant Field Values

  - ### JJTNAMEDPARAMETER

    static final int JJTNAMEDPARAMETER
    See Also:
      - Constant Field Values

  - ### JJTOBJPATH

    static final int JJTOBJPATH
    See Also:
      - Constant Field Values

  - ### JJTDBPATH

    static final int JJTDBPATH
    See Also:
      - Constant Field Values

  - ### JJTENUM

    static final int JJTENUM
    See Also:
      - Constant Field Values

  - ### JJTDBIDPATH

    static final int JJTDBIDPATH
    See Also:
      - Constant Field Values

  - ### jjtNodeName

    static final String[] jjtNodeName